# Record Class VulkanPhysicalDeviceDriverProperties

java.lang.Object
java.lang.Record
com.io7m.jcoronado.api.VulkanPhysicalDeviceDriverProperties

Record Components:
  `driverId` - The driver ID
  `driverName` - The driver name
  `driverInfo` - The driver info
  `conformanceVersion` - The test suite conformance version

public record VulkanPhysicalDeviceDriverProperties(VulkanDriverIdType driverId, String driverName, String driverInfo, VulkanConformanceVersion conformanceVersion) extends Record
Physical device driver properties.

See Also:
  - "VkPhysicalDeviceDriverProperties"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanPhysicalDeviceDriverProperties(VulkanDriverIdType driverId, String driverName, String driverInfo, VulkanConformanceVersion conformanceVersion)`
  Physical device driver properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanConformanceVersion`
  `conformanceVersion()`
  Returns the value of the `conformanceVersion` record component.
  `VulkanDriverIdType`
  `driverId()`
  Returns the value of the `driverId` record component.
  `String`
  `driverInfo()`
  Returns the value of the `driverInfo` record component.
  `String`
  `driverName()`
  Returns the value of the `driverName` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanPhysicalDeviceDriverProperties

    public VulkanPhysicalDeviceDriverProperties(VulkanDriverIdType driverId, String driverName, String driverInfo, VulkanConformanceVersion conformanceVersion)
    Physical device driver properties.
    Parameters:
      `driverId` - The driver ID
      `driverName` - The driver name
      `driverInfo` - The driver info
      `conformanceVersion` - The test suite conformance version
    See Also:
      - "VkPhysicalDeviceDriverProperties"

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### driverId

    public VulkanDriverIdType driverId()
    Returns the value of the `driverId` record component.
    Returns:
      the value of the `driverId` record component

  - ### driverName

    public String driverName()
    Returns the value of the `driverName` record component.
    Returns:
      the value of the `driverName` record component

  - ### driverInfo

    public String driverInfo()
    Returns the value of the `driverInfo` record component.
    Returns:
      the value of the `driverInfo` record component

  - ### conformanceVersion

    public VulkanConformanceVersion conformanceVersion()
    Returns the value of the `conformanceVersion` record component.
    Returns:
      the value of the `conformanceVersion` record component